Page MenuHomePhabricator

Add a welcome bot to Differential for first time contributors
Closed, DeclinedPublic

Event Timeline

greg created this task.May 12 2016, 10:42 PM
Restricted Application added subscribers: Zppix, Aklapper. · View Herald TranscriptMay 12 2016, 10:42 PM
greg added subscribers: mmodell, Qgil.

Would there be any equivalent to this in Phabricator/Differential?

I'd really love to know this too.
Anyone having a vague technical idea how hard adding such an automated message would be in a Differential world? @mmodell or so? :)
OpenStack's welcoming message is great. It sets correct expectations on speed of patch review and how to escalate if review does not happen.
(I'd also like to think about a "Congratulations! Your first patch has been merged! Would you fancy working on a second task? Check out https://mediawiki.org/wiki/Annoying_little_bugs" message or something like that.)

Paladox added a subscriber: Paladox.Sep 8 2016, 3:47 PM

We could use herald to do this.

@Paladox: How exactly? Please share exact steps in comments. I haven't seen any condition in the dropdown options that could target first time contributions.

Well I'm not really sure, but I said you could I didn't say use it.

But anyways it can be added to new patches but yeh I guess we carnt use it judging by it will add to all users even if they aren't new.

Sorry to waste a comment.

Aklapper added a comment.EditedSep 8 2016, 4:20 PM

@Paladox: If you write that "we could user Herald to do this", you imply that it is technically possible. Hence I asked you how exactly it is possible. If you do not know whether it is possible, please investigate first before adding any comments implying that it is technically possible. (Or make it clear after your investigation that Herald could be used after additional code changes.) Thanks.

This proposal is selected for the developer wishlist voting round and will be added to a MediaWiki page very soon. To the subscribers, or proposer of this task: please help modify the task description: add a brief summary (10-12 lines) summarizing the problem that this proposal raises, topics discussed in the comments, and a proposed solution (if there is any yet). Remember to add a header with a title "Description," to your content. Please do so before February 5th, 12:00 pm UTC.

FNDE added a subscriber: FNDE.May 17 2017, 9:32 PM
mmodell closed this task as Declined.Oct 31 2018, 7:37 PM